## vncsnapshot 1.2a

=== Makefile ===
# Makefile for vncsnapshot, Unix/Linux platforms.
#
# $Id: Makefile,v 1.6 2004/09/09 00:22:33 grmcdorman Exp $

#
# INSTALLER: Adjust these lines to point to your installation's location of
# Zlib and JPEG lib.
ZLIB_INCLUDE = -I/usr/local/include
ZLIB_LIB = -L/usr/local/lib -lz
JPEG_INCLUDE = -I/usr/local/include
JPEG_LIB = -L/usr/local/lib -ljpeg


# Other libraries:
# SOLARIS:
# EXTRALIBS = -lsocket -lnsl
# EXTRAINCLUDES =
# Linux:
EXTRALIBS =
EXTRAINCLUDES =

# Compilation Flags. Season to taste.
CC = gcc
CDEBUGFLAGS = -O2 -Wall
CXX=g++
# You shouldn't need to change anything below.
INCLUDES = -I. $(ZLIB_INCLUDE) $(JPEG_INCLUDE) $(EXTRAINCLUDES)
CFLAGS =  $(CDEBUGFLAGS) $(INCLUDES)
CXXFLAGS = $(CFLAGS)

# Solaris 8 uses CCC and CCFLAGS
CCC=$(CXX)
CCFLAGS = $(CFLAGS)

.SUFFIXES: .cxx
#

SRCS = \
  argsresources.c \
  buffer.c \
  cursor.c \
  listen.c \
  rfbproto.c \
  sockets.cxx \
  tunnel.c \
  vncsnapshot.c \
  d3des.c vncauth.c \
  zrle.cxx \

PASSWD_SRCS =  vncpasswd.c vncauth.c d3des.c

OBJS1 = $(SRCS:.c=.o)
OBJS  = $(OBJS1:.cxx=.o)

PASSWD_OBJS1 = $(PASSWD_SRCS:.c=.o)
PASSWD_OBJS  = $(PASSWD_OBJS1:.cxx=.o)

SUBDIRS=rdr.dir

all: $(SUBDIRS:.dir=.all) vncsnapshot vncpasswd

vncsnapshot: $(OBJS)
#	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ $(OBJS) rdr/librdr.a $(ZLIB_LIB) $(JPEG_LIB) $(EXTRALIBS)
	$(LINK.cc) $(CDEBUGFLAGS) -o $@ $(OBJS) rdr/librdr.a $(ZLIB_LIB) $(JPEG_LIB) $(EXTRALIBS)

vncpasswd: $(PASSWD_OBJS)
#	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ $(PASSWD_OBJS)
	$(LINK.c) $(CDEBUGFLAGS) -o $@ $(PASSWD_OBJS)

clean: $(SUBDIRS:.dir=.clean) $(FINAL_SUBDIRS:.dir=.clean)
	-rm -f $(OBJS) $(PASSWD_OBJS) vncpasswd vncsnapshot core

reallyclean: clean $(SUBDIRS:.dir=.reallyclean) $(FINAL_SUBDIRS:.dir=.reallyclean)
	-rm -f *~

rdr.all:
	cd rdr;make all
rdr.clean:
	cd rdr;make clean
rdr.reallyclean:
	cd rdr;make reallyclean

vncpasswd.all:
	cd vncpasswd;make all
vncpasswd.clean:
	cd vncpasswd;make clean
vncpasswd.reallyclean:
	cd vncpasswd;make reallyclean

.cxx.o:
	$(COMPILE.cc) -o $@ $<
# dependancies

argsresources.o: argsresources.c vncsnapshot.h rfb.h rfbproto.h
buffer.o: buffer.c vncsnapshot.h rfb.h rfbproto.h
cursor.o: cursor.c vncsnapshot.h rfb.h rfbproto.h
listen.o: listen.c vncsnapshot.h rfb.h rfbproto.h
rfbproto.o: rfbproto.c vncsnapshot.h rfb.h rfbproto.h vncauth.h \
  protocols/rre.c protocols/corre.c \
  protocols/hextile.c protocols/zlib.c protocols/tight.c
sockets.o: sockets.cxx vncsnapshot.h rfb.h rfbproto.h
tunnel.o: tunnel.c vncsnapshot.h rfb.h rfbproto.h
vncsnapshot.o: vncsnapshot.c vncsnapshot.h rfb.h rfbproto.h
vncauth.o: vncauth.c stdhdrs.h rfb.h rfbproto.h vncauth.h d3des.h
zrle.o: zrle.cxx vncsnapshot.h
vncpasswd.o: vncpasswd.c vncauth.h

=== rdr/Makefile ===
# Makefile for vncsnapshot, Unix/Linux platforms.
#
# $Id: Makefile,v 1.2 2004/09/09 00:22:36 grmcdorman Exp $


# You shouldn't need to change anything below.
INCLUDES = -I. -I.. $(ZLIB_INCLUDE) $(JPEG_INCLUDE) $(EXTRAINCLUDES)
CFLAGS =  $(CDEBUGFLAGS) $(INCLUDES)
CXXFLAGS = $(CFLAGS)
# Solaris 8 uses CCFLAGS instead of CXXFLAGS
CCFLAGS = $(CXXFLAGS)

.SUFFIXES: .cxx

SRCS = \
FdInStream.cxx	 InStream.cxx	    ZlibInStream.cxx \
FdOutStream.cxx  NullOutStream.cxx  ZlibOutStream.cxx \

OBJS1 = $(SRCS:.c=.o)
OBJS  = $(OBJS1:.cxx=.o)

SUBDIRS=
TARGET=librdr.a

all: $(SUBDIRS:.dir=.all) $(TARGET)

$(TARGET): $(OBJS)
	$(AR) cr $(TARGET) $(OBJS)
	ranlib $(TARGET)


clean: $(SUBDIRS:.dir=.clean)
	-rm -f $(OBJS) $(TARGET) core

reallyclean: clean $(SUBDIRS:.=.reallyclean)
	-rm -f *~


.cxx.o:
	$(COMPILE.cc) -o $@ $<
#.o.cxx:
	echo $@ $<
# dependancies

=== debian/changelog ===
vncsnapshot (1.2a-7) unstable; urgency=medium

  * Remove --no-parallel and patch around --shuffle=reverse (Closes: #1105664)
  * Fix FTBFS with GCC-15 (Closes: #1098069)
  * d/control: Uploaders: наб <nabijaczleweli@nabijaczleweli.xyz>

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 22 Aug 2025 16:40:28 +0200

vncsnapshot (1.2a-6) unstable; urgency=medium

  * Team upload

  [ наб ]
  * Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
    Closes: #1085473
  * Fix d/p/02_argument_tunnel_broken.patch (Closes: #1075626)
  * debhelper: 9 -> 13
  * Standards-Version: 3.9.3 -> 4.7.0
  * Vcs-Git: https://salsa.debian.org/salvage-team/vncsnapshot.git
    Closes: #638511
  * d/control: Recommends: vnc4server -> tigervnc-standalone-server
    ‒ transitional package last in buster (Closes: #1064008)
  * Remove duplicate d/p/{vnc,tunnel}.patch
  * d/rules: use dh --no-parallel; add hardening; d/p/0003 (Closes: #958220)
  * d/control: lintian debhelper-but-no-misc-depends
  * d/control: lintian description-synopsis-starts-with-article
  * Import upstream diff of listen.c between 1.5 and 1.7 (Closes: #782159)
  * Rules-Requires-Root: no
  * d/watch: fix for inconsistent tarball naming (some have -src suffix,
    some don't)
  * d/copyright: DEP-5
  * old-fsf-address-in-copyright-file

  [ Andreas Tille ]
  * Fix watch file
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Remove Uploader after discussion with наб
  * debian/dir: removed since not needed

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 09 Nov 2024 17:49:38 +0100

vncsnapshot (1.2a-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: added missing targets build-arch and build-indep.
    (Closes: #999268)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 16 Apr 2022 02:00:41 -0300

vncsnapshot (1.2a-5.1) unstable; urgency=low

  * Non-maintainer upload.
  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    (Closes: #664430)
  * Update to Standards-Version to 3.9.3 and debhelper to 9.

  [ Bill Allombert ]
  * debian/control: update for libjpeg transition.
    libjpeg62-dev -> libjpeg-dev (Closes: #644970)

 -- Bill Allombert <ballombe@debian.org>  Wed, 06 Jun 2012 18:51:38 +0200

vncsnapshot (1.2a-5) unstable; urgency=low

  * New maintainer (Closes: #483484)
  * cannot capture vnc screen on amd64 (Closes: #536181)
  * argument parsing (-tunnel) broken (Closes: #514310)

 -- Benoit Mortier <benoit.mortier@opensides.be>  Fri, 13 Nov 2009 19:08:53 +0100

vncsnapshot (1.2a-4) unstable; urgency=low

  * Orphaning this package. Maintainer set to Debian QA Group.

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 10 Sep 2009 20:43:46 -0400

vncsnapshot (1.2a-3) unstable; urgency=low

  * Change dependency on vnc-common to recommendation on vnc4server or
    tightvncserver (Closes: #469428)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 08 Mar 2008 21:54:51 -0500

vncsnapshot (1.2a-2) unstable; urgency=low

  * Updated to standards version 3.7.3 (no changes needed).
  * Updated to debhelper compatibility level 5.
  * Update maintainer email address.
  * debian/watch: Switch to Debian QA's SourceForge redirector.
  * debian/control: Switch Homepage to be a proper control field.
  * Make lintian happy with proper call to 'make clean'

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat,  5 Jan 2008 12:09:33 -0500

vncsnapshot (1.2a-1) unstable; urgency=low

  * Initial Release.
  * Resolve ITP (Closes: #311874)

 -- Roberto C. Sanchez <roberto@familiasanchez.net>  Fri,  3 Jun 2005 20:07:32 -0400

=== debian/control ===
Source: vncsnapshot
Section: x11
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: наб <nabijaczleweli@nabijaczleweli.xyz>
Build-Depends: debhelper-compat (= 13), libjpeg-dev, zlib1g-dev
Standards-Version: 4.7.0
Homepage: https://vncsnapshot.sourceforge.net/
Vcs-Git: https://salsa.debian.org/salvage-team/vncsnapshot.git
Vcs-Browser: https://salsa.debian.org/salvage-team/vncsnapshot
Rules-Requires-Root: no

Package: vncsnapshot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: tigervnc-standalone-server | tightvncserver
Description: Utility that takes JPEG snapshots from VNC servers
 VNC Snapshot is a command-line program for VNC. It will save a JPEG
 image of the VNC server's screen.
 .
 To use this you must be able to connect directly to the VNC server via
 a TCP connection.  It does not yet work for connections tunnelled over
 SSH.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

override_dh_auto_build:
	dh_auto_build -- CDEBUGFLAGS='$(CXXFLAGS)' LDFLAGS='$(LDFLAGS)'

override_dh_installchangelogs:
	dh_installchangelogs CHANGE-LOG.txt

%:
	dh $@

=== debian/watch ===
version=4
https://sf.net/@PACKAGE@/@PACKAGE@-[-_]?v?(\d[+\.:\~\da-zA-Z]*)(?:-src)?@ARCHIVE_EXT@
